* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Montserrat', sans-serif;
	scroll-behavior: smooth;
/*	border: 1px solid red;*/
}
section {
	width: 100%;
	height: 100vh;
	position: relative;


}

header {
	height: 92vh;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.80);
	display: flex;
	justify-content: center;
	align-items: center;


}

header > div {
	height: 90%;
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column;
	


}
header	h4{
	position: relative;
	bottom: 0;
	color: whitesmoke;
}
header	h1{
	color: white;
	height: 50%;
	width: 80%;
	font-size: 4rem;
	text-align: center;
}

.logo{
	height: 150px;
	width: 150px;
	display: flex;
	justify-content: center;
	align-items: center;
}
.logo img{
	height: 350px;
	width: 350px;
}

#arrow {
	height: 25px;
	width: 25px;
}
#arrow:target {
	display: block;
}



#myVideo {
  position: fixed;
  right: 0;
  bottom: 0;
  top: 0;
  min-width: 10%; 
  min-height: 10%;
  width: 100%;
  height: auto;
  z-index: -1;
  background-attachment: fixed; 
  background-size: cover;
}

nav {
	height: 8vh;
	width: 100%;
	position: sticky;
	top: 0;
	z-index: 10;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgb(22,22,22);
}
nav:target{
	display: block;
}
.btn {
	padding: 10px 50px 10px;
	background-color: transparent;
	border: none;
}
.btn:focus{
	outline: none;
}
.navbar > div > ul {
	display: flex;
	justify-content: center;
	align-items: center;
	list-style: none;

}
.navbar > div > ul > li {
}
a button{
	text-decoration: none;
	color: white;
	font-weight: 400;

}

/*.about_me div{
	border: 1px solid black;

}*/

.about_me{
	height: 120vh;
	width: 100%;
	/*background-color: whitesmoke;*/
	background-image: linear-gradient(90deg, 
		rgba(255,255,255,0) 0%, 
		rgba(170,170,170,0) 53%, 
		rgba(149,149,149,0.6558998599439776) 100%), url(../images/bg-about.jpeg);
	background-size: cover;
	background-position:center;

	/*background-attachment: fixed; */
	display: flex;
	justify-content: center;
	align-items: center;
}


.about_me > div {
	height: 90%;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
/*	background-color: rgba(245, 245, 245, 0.78);*/
}

.left {
	width: 30%;
	height: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: rgb(213,213,213);
background: linear-gradient(90deg, rgba(213,213,213,0.50) 0%, rgba(213,213,213,0.50) 100%);
}


.right {
	width: 60%;
	height: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	background: rgb(213,213,213);
    background: linear-gradient(90deg, rgba(213,213,213,0.50) 0%, rgba(213,213,213,0.50) 100%);


}


.right  h3 {
	width: 80%;
	font-weight: 800;
	
}


.right-top {
	height: 30%;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 50px;
	
}

.right-bottom {
	height: 20%;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	
}




.projects {
	height: 200vh;
	width: 100%;
	background-color: whitesmoke;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.cs {
	height: 30%;
	width: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.cs1-left, .cs2-right, .cs3-left{
	width: 55%;
	height: 80%;
}
.cs1-right, .cs2-left, .cs3-right{	
	width: 45%;
	height: 80%;
}
.cs1-left{
	background-image: url(../images/cs1.jpg);
	background-size: cover;
	background-position: center;
	border: 7px solid rgba(220, 220, 220, 0.65);
	animation-name: changeBackground;
	animation-duration: 20s;
	animation-iteration-count: infinite;
}
.cs1-right > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs1-right h2{
	font-size: 1.4rem;
}
.cs1-right h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs1-right p{
	margin: 0 5% 0;
}
#cs1-btn {
	height: 30%;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	margin:;
}
#cs1-btn div {
	height: 40px;
	width: 30%;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(220, 220, 220, 0.85);
	margin: 0 10px 0;
}
a {
	text-decoration: none;
	color: black;
}
.cs2-right {
	
	background-image: url(../images/cs2.jpg);
	background-size: cover;
	background-position: center;
	border: 7px solid rgba(220, 220, 220, 0.65);
}
.cs2-left > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs2-left h2{
	font-size: 1.4rem;
}
.cs2-left h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs2-left p{
	margin: 0 5% 0;
}
.cs3-left {
	
	background-image: radial-gradient(circle, rgba(238,174,202,0.7567401960784313) 0%, rgba(148,187,233,0.6110819327731092) 100%), url(../images/banner_vika.jpg);
	background-size: cover;
	background-position: center top;
	border: 7px solid rgba(220, 220, 220, 0.65);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	color: #393939;
}



.count {
	margin: 40px 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;

}
.countd{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 90px;
	height: 90px;
	border: 2px solid;
	margin:0 20px;
	font-size: 10px;
	border-radius: 50%;
	overflow: hidden;
}

.countd span {
	display: block;
	font-size: 26px;
	margin-top: 14px;
}












.cs3-right > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs3-right h2{
	font-size: 1.4rem;
}
.cs3-right h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs3-right p{
	margin: 0 5% 0;
}
.skills {
	height: 100vh;
	width: 100%;
	background-color: #212121;
	display: flex;
	justify-content: center;
	align-items: center;
}


.skills h1 {
	width: 100%;
	color:white;
	text-align: center;
}

.skills > div {
	height: 80%;
	width: 80%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.skills-icons {
	height: 80%;
	width: 70%;
	display: flex;
	justify-content: center;
	align-items: center;
}



.container {
	background: #000;
	position: relative;
	overflow: hidden;
	height: 100vh;
	animation: animate 4s linear infinite;
}



@keyframes animate{
	0%{
		filter: hue-rotate(0deg);
	}
	100%{
		filter: hue-rotate(360deg);
	}
}

.row{
	display: inline-flex;

	margin-left: -65px;
	margin-top: -32px;
	overflow: hidden;
}

.row:nth-child(even){
	margin-left: 1px;
}

.hexagon{
	position: relative;
	height: 140px;
	width: 130px;
	background: #111;
	margin: 1px;
	clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
	transition: 2s;
	align-items: center;
	justify-content: center;
	display: flex;
}
/*.logo{
	background: gray !important;
}*/

.skill-logo:hover{
	background: whitesmoke !important; 
}

.hexagon:before{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 50%;
	height: 100%;
	pointer-events: none;
	background: rgba(255, 255, 255,0.02);
}
.hexagon:hover{
	transition: 0s;
	background: #0f0;
}

.ps{
	height: 100px;
	content: url(../images/skills/icons/ps3.png);
}

.ps:hover {
	content: url(../images/skills/ps.png) !important;
}

.bs{
	height: 100px;
	content: url(../images/skills/icons/bs3.png);
}
.bs:hover {
	content: url(../images/skills/bs.png) !important;
}

.react {
	height: 100px;
	content: url(../images/skills/icons/react3.png);
}

.react:hover {
	content: url(../images/skills/react2.png) !important;
}

.lara {
	height: 100px;
	content: url(../images/skills/icons/lara3.png);
}

.lara:hover {
	content: url(../images/skills/lara2.png) !important;
}

.html {
	height: 100px;
	content: url(../images/skills/icons/html3.png);
}

.html:hover {
	content: url(../images/skills/html2.png) !important;
}
.css {
	height: 100px;
	content: url(../images/skills/icons/css3.png);
}

.css:hover {
	content: url(../images/skills/css2.png) !important;
}

.js {
	height: 100px;
	content: url(../images/skills/icons/js3.png);
}

.js:hover {
	content: url(../images/skills/js2.png) !important;
}
.node {
	height: 100px;
	content: url(../images/skills/icons/node3.png);
}

.node:hover {
	content: url(../images/skills/node2.png) !important;
}
.php {
	height: 100px;
	content: url(../images/skills/icons/php3.png);
}

.php:hover {
	content: url(../images/skills/php2.png) !important;
}
.sql {
	height: 100px;
	content: url(../images/skills/icons/sql3.png);
}

.sql:hover {
	content: url(../images/skills/sql2.png) !important;
}
.git {
	height: 100px;
	content: url(../images/skills/icons/git3.png);
}

.git:hover {
	content: url(../images/skills/git2.png) !important;
}

.mongo {
	height: 100px;
	content: url(../images/skills/icons/mongo3.png);
}

.mongo:hover {
	content: url(../images/skills/mongo2.png) !important;
}

.jq {
	height: 100px;
	content: url(../images/skills/icons/jq3.png);
}

.jq:hover {
	content: url(../images/skills/jq2.png) !important;
}
.ql {
	height: 100px;
	content: url(../images/skills/icons/ql3.png);
}

.ql:hover {

	content: url(../images/skills/ql2.png) !important;
}


.contact_me {
	height: 100vh;
	width: 100%;
	background-image: url(../images/bg2.jpeg);
	background-size: cover;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
}

.contact_me h1 {
	margin-bottom: 10px;
}
.contact_me > div {
	height: 80%;
	width: 70%;
	background-color: rgba(220, 220, 220, 0.80);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.forms > div {
	display: flex;
	justify-content: center;
	align-items: center;
}
.forms > form{
	height: 90%;
	width: 80%;
	background-color: white;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
}
form > h4 {
	font-size: 50px;
	text-align: center;
	margin: 10px;
}
input{
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 40px;
	width: 400px;
}
textarea {
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 100px;
	width: 400px;
	resize: none;
}

.forms {
	border-radius: 20px;
	opacity: 0.9;
	height: 50vh;
	width: 50%;
	padding-top: 20px;
	display: flex;
	justify-content: center;
	align-items: center;
}
.forms h1 {
	color: white;
}

.btn-submit {
	padding: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: white;

}
form {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}


footer	{
	height: 25vh;
	width: 100%;
	background-color: #212121;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}


footer >div {
	height: 1px;
	width: 30%;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
}

.social {
	width: 30%;
	height: 50%;
	display: flex;
	justify-content: space-around;
	align-items: center;
}

footer img {
	width: 50px;
	height: 50px;
}

@keyframes changeBackground {
	20%{
		background-image: url(../images/about.jpg);
		
		} 
	40%{
		background-image: url(../images/services.jpg);
	
	}
	60%{
		background-image: url(../images/team.jpg);
		
		} 
	80%{
		background-image: url(../images/contact.jpg);
		
	}
	100%{
		background-image: url(../images/cs1.jpg);
		
		} 

} 

@media (min-aspect-ratio: 16/9) {


#myVideo {
    width:100%;
    height: auto;
    }
}
@media (max-aspect-ratio: 16/9) {
#myVideo {
	  width:auto;
        height: 100%;
    }

}

@media only screen and (min-width: 667px) and (max-width: 767px){


.forms {
	height: 80%;
	width: 100%;
}

form {
	height: 100%;
	width: 100%;
}

header h1 {
	font-size: 30px;
}
header h4 {
	font-size: 15px;
}
.btn {
	padding:0;
}	

	#myVideo {
        display: none;
}
header {
	width: auto;
	height: 92vh;
	background-image:radial-gradient(circle, 
		rgba(10,10,10,0.8799894957983193) 0%, 
		rgba(20,11,11,0.7987570028011204) 100%), url(../images/ipview.jpg);
	}
.about_me > div {
	flex-direction: row;
}
.btn {
	padding: 10px 20px 10px;
}	
.html,.css,.js,.sql,.ql,.php,.node,.mongo,.lara,.jq,.graph,.git {

	height: 70px;
	width: 90px;
}
.cs {
	height: 90%;
	width: 100%;
	flex-direction: column;
}
#projects {
	height: 400vh;
}
.cs2 {
	flex-direction: column-reverse;
	background-color: white;
}

.cs1-left,.cs1-right,.cs2-left,.cs2-right,.cs3-left,.cs3-right{
	width: 95%;
}

.contact_me {
	height: 150vh;
}
.right {
	width: 50%;
	height: 100%;
}
.left {
	width: 50%;
	height: 100%;
}
.left h1{
	font-size: 1rem;
	margin-left: 30px;
}


}


@media only screen and (min-width: 0px) and (max-width: 666px){
#myVideo {
        display: none;
}
header h1 {
	font-size: 30px;
}
header h4 {
	font-size: 15px;
}
header {
	width: auto;
	height: 92vh;
	background-image:radial-gradient(circle, 
		rgba(10,10,10,0.8799894957983193) 0%, 
		rgba(20,11,11,0.7987570028011204) 100%), url(../images/ipview.jpg);
	}

.html,.css,.js,.sql,.ql,.php,.node,.mongo,.lara,.jq,.graph,.git {

	height: 50px;
	width: 70px;

}

.cs {
	height: 90%;
	width: 100%;
	flex-direction: column;
}
#projects {
	height: 400vh;
}
.cs2 {
	flex-direction: column-reverse;
	background-color: white;
}

.cs1-left,.cs1-right,.cs2-left,.cs2-right,.cs3-left,.cs3-right{
	width: 95%;
}
.about_me{
	height: 120vh;
}
.about_me > div {
	flex-direction: column-reverse;
}

.forms {
	width: 100%;
}

form {
	width: 100%;
}
input{
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 40px;
	width: 90%;
}
textarea {
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 100px;
	width: 90%;
	resize: none;
}
.btn {
	padding: 10px 10px 10px;
}	
.right {
	width: 80%;
	height: 80%;
}
.left {
	width: 80%;
	height: 100%;
}
.left h1{
	font-size: 1rem;
}


}


.card{
	
	/*transform: translate(-50%,-50%);*/
	width: auto;
	height: 400px;
	transform-style: preserve-3d;
	perspective: 600px;
	transition: 0.5s;
/*	margin-right: 20%;*/
	/*border: 7px solid rgba(220, 220, 220, 0.65);*/

}
.profile {
	height: 400px;
	border: 7px solid rgba(255, 245, 214, 0.90);

}

.card .front {
/*	position: absolute;
	top: 0;
	left: 0;*/
	width: auto;
	height: 100%;
	background: #000;
	backface-visibility: hidden;
	transform: rotateX(0deg);
	transition: 0.5s;
}
/*.card:hover .front{
		transform: rotateX(-180deg);
}*/
/*
.card .card-back {
	position: absolute;
	top: 0;
	left: 0;
	width: auto;
	height: 100%;
	background: #000;
	backface-visibility: hidden;
	transform: rotateX(180deg);
	transition: 0.5s;
}

.card:hover .card-back{
		transform: rotateX(0deg);
}

.card .card-back .details{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	left: 0;
	width: 100%;
	text-align: center;	

}
.card .card-back .details h2 {
	margin: 0;
	padding: 0;
	font-size: 24px;
	color: #fff;
}


*/
.timeline1{
 height: 170vh;
 background: white;

}
.timeline-line {
	clear:both;
}
.timeline {
	position: relative;
	top: 20px;
	margin:  auto;
	padding: 40px 0;
	width: 1000px;
}

.timeline:before{
	content: '';
	position: absolute;
	left: 50%;
	width: 2px;
	height: 100%;
	background: #c5c5c5;
}

.timeline ul {
	margin:0;
	padding: 0;
}

.timeline ul li {
	list-style: none;
	position: relative;
	width: 50%;
	padding: 20px 40px;
	/*box-sizing: border-box;*/
}

.timeline ul li:nth-child(odd){
	float: left;
	text-align: right;
	clear: both;

}

.timeline ul li:nth-child(even){
	float: right;
	text-align: left;
	clear: both;

}

.content {
	padding-bottom: 20px;
}

.timeline ul li:nth-child(odd):before
{
	content: '';
	position: absolute;
	top:24px;
	right: -6px;
	width: 10px;
	height: 10px;
	background:rgba(233,33,99,1);
	border-radius: 50%;
	box-shadow: 0 0 0 3px rgba(233,33,99,0.2);
}

.timeline ul li:nth-child(even):before
{
	content: '';
	position: absolute;
	top:24px;
	left: -4px;
	width: 10px;
	height: 10px;
	background:rgba(233,33,99,1);
	border-radius: 50%;
	box-shadow: 0 0 0 3px rgba(233,33,99,0.2);
}

.timeline ul li h3 {
	margin:0;
	padding: 0;
	font-weight: 600;
	color: rgba(233,33,99,1);
}

.timeline ul li p {
	margin: 10px 0 0;
	padding: 0;

}

.timeline ul li .time h4{
	margin:0;
	padding:0;
	font-size: 14px;

}

.timeline ul li:nth-child(odd) .time
{
	position: absolute;
	top:12px;
	right: -165px;
	margin:0;
	padding: 8px 16px;
	background: rgba(233,33,99,1);
	color: #fff;
	border-radius: 18px;
	box-shadow: 0 0 0 3px rgba(233,33,99,0.3);
}

.timeline ul li:nth-child(even) .time
{
	position: absolute;
	top:12px;
	left: -165px;
	margin:0;
	padding: 8px 16px;
	background: rgba(233,33,99,1);
	color: #fff;
	border-radius: 18px;
	box-shadow: 0 0 0 3px rgba(233,33,99,0.3);
}







.social-media {
/*	position: absolute;*/
	justify-content: center;
	align-items: center;
	display: flex;
	/*transform: translate(-50%, -50%);*/
	margin: 0;
	padding: 0;
	

}


.social-media li 
{
	list-style: none;
}


.social-media li a 
{
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	width: 50px;
	height: 50px;
	line-height: 50px;
	font-size: 20px;
	text-align: center;
	/*background: #ccc;*/
	text-decoration: none;
	color: #262626;
	margin: 0 10px;

	/*transition: .5s;*/

}


.social-media li a span 
{
	position: absolute;
	transition: transform .5s;

}

.social-media li a span:nth-child(1),
.social-media li a span:nth-child(3)
{
	width: 100%;
	height: 1px;
	background:#262626;
}

.social-media li a span:nth-child(1)
{
	top: 0 ;
	left: 0;
	transform-origin: right;

}

.social-media li a:hover span:nth-child(1)
{
	transform: scaleX(0);
	transform-origin: left;
	transition: transform .5s;
}
.social-media li a span:nth-child(3)
{
	bottom: 0 ;
	left: 0;
	transform-origin: left;

}
.social-media li a:hover span:nth-child(3)
{
	transform: scaleX(0);
	transform-origin: right;
	transition: transform .5s;
}





.social-media li a span:nth-child(2),
.social-media li a span:nth-child(4)
{
	width: 1px;
	height: 100%;
	background:#262626;
}

.social-media li a span:nth-child(2)
{
	top: 0 ;
	left: 0;
	transform: scaleY(0);
	transform-origin: bottom;

}

.social-media li a:hover span:nth-child(2)
{
	transform: scaleY(1);
	transform-origin: top;
	transition: transform .5s;
}

.social-media li a span:nth-child(4)
{
	top: 0 ;
	right: 0;
	transform: scaleY(0);
	transform-origin: top;

}

.social-media li a:hover span:nth-child(4)
{
	transform: scaleY(1);
	transform-origin: bottom;
	transition: transform .5s;
}


